include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_subdirectory( xcf2pnm )

add_definitions(
  -DXCF_UI="${SHARE_INSTALL_PREFIX}/ksquirrel-libs/libkls_xcf.so.ui"
  -DCODEC_XCF
  -DCODEC_ANOTHER
  -DKLXCF2PNM="${BIN_INSTALL_DIR}/ksquirrel-libs-xcf2pnm"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )

if( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "(i.86|x86_64|powerpc)" )
  add_definitions( -DCAN_DO_UNALIGNED_WORDS)
endif( )

##### codecs

tde_add_library( kls_xcf SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

install(
  FILES libkls_xcf.so.ui
  DESTINATION ${SHARE_INSTALL_PREFIX}/ksquirrel-libs
)
